/**
 * Theme Name: Aspier
 * Author: the Design Infuse team
 * Author URI: https://desiginfuse.com
 * Version: 1.0
 * Template: understrap
 **/



/**
*
*
* Utils
*
*
**/

html {
  scroll-behavior: smooth;
}

.admin-bar #main-nav {
  top: 32px;
  /* top: 83px; */
}

.admin-bar .admission-open-banner {
  top: 32px;
}

.admission-open-banner + #main-nav {
  top: 51px;
}

body.page #page-content, body.blog #page-content, body.single-post #page-content, body.archive #page-content, body.page #page-wrapper {
  /*margin-top: 118px;*/
  margin-top: 169px;
}

body.page.admin-bar #page-content, body.blog.admin-bar #page-content, body.single-post #page-content, body.archive #page-content, body.page #page-wrapper {
  /*margin-top: 118px;*/
  margin-top: 169px;
}

.blog img, .single img {
  border-radius: 10px;
}

body.page #page-wrapper h1.entry-title {
  text-align: center;
}








/**
*
*
* Fonts, et. al.
*
*
**/

* {
  font-family: 'Open Sans', sans-serif;
  letter-spacing: 1.2;
  line-height: 35px;
}

h1, h2, h3, h4, h5, h6 {
  font-family: 'Montserrat', sans-serif;
}

body {
  background-color: #F8F8F8!important;
}






/**
*
*
* Hero Template
*
*
**/

.page-template-page-hero-template #hero-section {
  position: relative;
  width: 100%;
  height: 65vh;
}

.page-template-page-hero-template #hero-section img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.page-template-page-hero-template #hero-section .scrim {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 50%;
  background: linear-gradient(180deg, rgba(0, 0, 0, 0) 35.33%, rgba(0, 0, 0, 0.85) 100%);
}

.page-template-page-hero-template #hero-section h2 {
  color: white;
  position: absolute;
  bottom: 24px;
  text-align: center;
  width: 100%;
}

.single-event #hero-section {
  position: relative;
  width: 100%;
  height: 65vh;
}

.single-event #hero-section img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.single-event #hero-section .scrim {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 50%;
  background: linear-gradient(180deg, rgba(0, 0, 0, 0) 35.33%, rgba(0, 0, 0, 0.85) 100%);
}

.single-event #hero-section h2 {
  color: white;
  position: absolute;
  bottom: 24px;
  text-align: center;
  width: 100%;
}










/**
*
*
* Frontpage
*
*
**/

#hero-section {
  width: 100%;
  height: 100vh;
  position: relative;
}

#hero-section .scrim {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 80%;
  background: linear-gradient(180deg, rgba(0, 0, 0, 0) 35.33%, rgba(0, 0, 0, 0.85) 100%);
}

.hero-img {
  width: 100%;
  height: 100vh;
  object-fit: cover;
}

.navbar .navbar-brand img {
  width: 80px;
  height: 80px;
}

.navbar h1.brand-line {
  font-size: 1.25em;
  font-weight: 500;
}

.navbar.navbar-dark h1.brand-line {
  color: white;
}

.navbar.navbar-light h1.brand-line {
  color: black;
}

.navbar.navbar-dark.bg-transparent {
  background: linear-gradient(to bottom, rgba(0,0,0,0.5), rgba(0,0,0,0));
}

.navbar a.nav-link {
  font-weight: 500;
}

.navbar.navbar-dark a.nav-link {
  color: white!important;
}

.navbar .current-menu-item a.nav-link, .navbar .active a.nav-link {
  font-weight: 600;
}

.navbar.navbar-light a.nav-link {
  color: black!important;
}

#hero-section .content {
  position: absolute;
  bottom: 10%;
  text-align: center;
  width: 100%;
  color: white;
}

.hero-subtext {
  font-size: 1.5rem;
  font-weight: 400;
  color: rgba(255, 255, 255, 0.85);
}

#what-we-do {
  position: relative;
}

#what-we-do .wwd-bg {
  position: absolute;
  right: 0;
  width: 200px;
  height: auto;
}

.team-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 8px;
}

.team-item * {
  line-height: 20px;
}

.team-item .designation {
  font-size: 80%;
  font-style: italic;
}

.testimonial-wrapper {
  position: relative;
}

.testimonial-wrapper a {
  position: absolute;
  width: 70px;
  height: 70px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.course-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px;
}

#video-section {
  position: relative;
  overflow: hidden;
}

#video-section #video-bg {
  position: absolute;
  top: -60px;
  left: -25px;
  width: 300px;
  height: 300px;
}

#our-team {
  position: relative;
}

#our-team #team-events-bg {
  position: absolute;
  width: 100px;
  left: -50;
  bottom: -150px;
}

#events-section #events-top {
  position: absolute;
  top: 0;
  left: 0;
}

.events-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, 1fr);
  grid-auto-rows: auto;
  grid-gap: 32px 32px;
}

.card.event-card-big, .card.event-card-small {
  border-radius: 10px;
}

.card.event-card-big {
  background-color: #F1F1F1;
}

.card.event-card-big .card-footer {
  background-color: #E8E8E8;
  padding-top: 0;
  padding-bottom: 0;
}

.card.event-card-small {
  background-color: #F1F1F1;
}

.card.event-card-small .meta {
  color: #6c757d!important;
  line-height: 1.5;
}

.card.event-card-small .card-footer {
  border-radius: 0 0 10px 10px;
  padding-top: 6px;
  padding-bottom: 6px;
}

.event-card-small img {
  height: 100%;
  width: 100%;
  max-height: 150px;
  object-fit: cover;
  border-radius: 10px;
}

@media screen and (min-width: 567px) {
  .events-container {
    grid-template-columns: repeat(4, 1fr);
  }

  .card.event-card-big {
    grid-column: 1 / 3;
    grid-row: 1 / 3;
  }
}

.download-brochure {
  position: relative;
}

.download-brochure img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.download-brochure .scrim {
  position: absolute;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.75);
  top: 0;
  left: 0;
}

.download-brochure .content {
  position: absolute;
  top: 0;
  left: 0;
  color: white;
}








/**
*
*
* About Page
*
*
**/

.page-about #hero-section {
  position: relative;
  height: 65vh;
}

.page-about #hero-section img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.page-about #hero-section .scrim {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 50%;
  background: linear-gradient(180deg, rgba(255, 255, 255, 0) 35.33%, rgba(255, 255, 255, 0.85) 100%);
}

.page-about #hero-section h2 {
  position: absolute;
  bottom: 24px;
  left: 0;
  width: 100%;
  color: black;
  text-align: center;
}

.page-about #uom-section img, .page-about #director-section img {
  width: 100%;
  height: 100;
  object-fit: cover;
}

.page-about #director-section .director-wrapper {
  position: relative;
}

.page-about #director-section .director-wrapper span {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 24px 16px;
  background: rgba(255, 255, 255, 0.6);
  color: black;
  text-align: center;
  font-size: 1.25rem;
}






/**
*
*
* Course Details
*
*
**/

.page-template-template-course-details #hero-section {
  position: relative;
  height: 65vh;
}

.page-template-template-course-details #hero-section img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.page-template-template-course-details #hero-section .scrim {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 50%;
  background: linear-gradient(180deg, rgba(255, 255, 255, 0) 35.33%, rgba(255, 255, 255, 0.85) 100%);
}

.page-template-template-course-details #hero-section h2 {
  position: absolute;
  bottom: 24px;
  left: 0;
  width: 100%;
  color: black;
  text-align: center;
}

.page-template-template-course-details .internship-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.page-template-template-course-details #content {
  margin-top: 40px;
  margin-bottom: 40px;
}

.page-template-template-course-details #content > * {
  max-width: 75%;
  margin: 0 auto;
}

.page-template-template-course-details .wp-block-aspier-internship {
  max-width: 100%!important;
}

.page-template-template-course-details h3 {
  margin-bottom: 24px;
}






/**
*
*
* Blogs
*
*
**/

.blog .blog-hero {
  position: relative;
}

.blog .blog-hero .scrim {
  position: absolute;
  bottom: 0;
  width: 100%;
  left: 0;
  height: 50%;
  background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.5) 100%);
}

.blog .blog-hero .content {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 16px 24px;
}

.single-post p {
  line-height: 32px;
  letter-spacing: 1.4;
  font-size: 18px;
}

.single-post p + p {
  padding-top: 24px;
}

.single-post .featured-img {
  width: 100%;
  height: 65vh;
  object-fit: cover;
}





/**
*
*
* Footer
*
*
**/

#wrapper-footer {
  background-color: #031534;
}

#wrapper-footer img.colophone {
  width: 150px;
  height: auto;
}





/**
 *
 *
 * Profile Item and Profile Modal
 *
 *
 **/

#profile-modal .modal-content {
  height: auto;
}

#profile-modal .profile-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  max-height: 380px;
}

#profile-modal button.close {
  position: absolute;
  top: 16px;
  right: 16px;
  z-index: 999;
}

@media screen and (min-width: 567px) {
  #profile-modal .modal-content {
    max-height: 380px;
  }
}
